Debian Bug report logs - #438885
Mass bug filing: must use invoke-rc.d

Package: general; Maintainer for general is debian-devel@lists.debian.org;

Reported by: Amaya <amaya@debian.org>

Date: Mon, 20 Aug 2007 15:06:03 UTC

Owned by: Lars Wirzenius <liw@iki.fi>

Severity: important

Tags: lenny, sid

Done: Holger Levsen <holger@layer-acht.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Lars Wirzenius <liw@iki.fi>, <debian-devel@lists.debian.org>:
Bug#438885; Package general. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Lars Wirzenius <liw@iki.fi>, <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Mass bug filling: must use invoke-rc.d
Date: Mon, 20 Aug 2007 17:01:10 +0200
Package: general
Severity: serious

As of Debian Policy Manual version 3.7.2, the use of invoke-rc.d to
run init.d scripts has been made mandatory. Earlier, its use was
strongly recommended.

In most cases the fix should be simple, replace this:
    
    /etc/init.d/package <action>
    
with this:
    
    if which invoke-rc.d >/dev/null 2>&1; then
            invoke-rc.d package <action>
    else
            /etc/init.d/package <action>
    fi

On May 13 and 14, I checked all packages in Debian sid, and found
that your package needs to be changed because of this policy change.
This bug is part of a mass-filing to get all such bugs fixed.
(See discussion starting at [1].)

    [1] http://lists.debian.org/debian-devel/2006/05/msg00577.html



-- 
  ·''`.             If I can't dance to it, it's not my revolution
 : :' :                                            -- Emma Goldman
 `. `'           Proudly running Debian GNU/Linux (unstable)
   `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Changed Bug title to `Mass bug filing: must use invoke-rc.d' from `Mass bug filling: must use invoke-rc.d'. Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Mon, 20 Aug 2007 16:00:07 GMT) Full text and rfc822 format available.

Owner recorded as Lars Wirzenius <liw@iki.fi>. Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Mon, 20 Aug 2007 16:00:08 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 added: 341413, 341415, 348259, 348263, 367722, 367725, 367727, 367729, 367730, 367731, 367732, 367733, 367734, 367737, 367740, 367745, 367753, 367754, 367755, 367759, 367760, and 367762 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Mon, 20 Aug 2007 16:00:09 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 added: 375183 and 353660 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Mon, 20 Aug 2007 16:00:19 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 added: Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Mon, 20 Aug 2007 16:00:21 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 added: 440574 Request was from Robert S. Edmonds <edmonds@debian.org> to control@bugs.debian.org. (Sun, 02 Sep 2007 21:18:05 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 375183 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Fri, 14 Sep 2007 18:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>, Lars Wirzenius <liw@iki.fi>:
Bug#438885; Package general. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>, Lars Wirzenius <liw@iki.fi>. Full text and rfc822 format available.

Message #24 received at 438885@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: 438885@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Not blocking anymore
Date: Sun, 2 Mar 2008 19:08:49 +0100
unblock 438885 by 353660
unblock 438885 by 367727
block 438885 by 381485

thanks

[18:21] >> amaya joins #debian-bugs
[18:42] < amaya> so what to do about http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=438885?
[18:43] < amaya> linda seems to be "dead" and  jukebox-mercury is only present in oldstable
[18:46] < bzed> I'd ignore linda
[18:46] < luk_> I would close the jukebox-mercury bug
[18:46] < bzed> same for the jukebox-mercury stuff, it was removed from unstable anyway
[18:47] < luk_> the linda one is indeed a clear sign that linda is not really maintained anymore and should probably just be removed

There is still bugs present in oldstable, for reference:
http://lintian.debian.org/reports/tags/maintainer-script-calls-init-script-directly.html

sauce: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367759
dict-gcide: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=341415
dict-elements: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=348259
dict-jargon: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=348263
net-acct: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367725
rbootd: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367729
libroxen-imho: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367730
iptotal: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367731
genpower: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367732
dict-moby-thesaurus: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367733 
dict-bouvier: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367737
dict-gazetteer2k-zips: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367740
battery-stats: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367745
dict-gazetteer2k-zips: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367740 
tama: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367755 
gnudip: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367762

Important:
lintian: Also check for not using invoke-rc.d in other scripts.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=381485



-- 
  ·''`.    Moi je voudrais bien, un beau matin, qu'il y ait
 : :' :                           une fleur dans mon jardin
 `. `'                                         -- Manu Chao 
   `-  Proudly running (unstable) Debian GNU/Linux




Blocking bugs of 438885 removed: 353660 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Sun, 02 Mar 2008 18:09:07 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367727 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Sun, 02 Mar 2008 18:09:09 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 added: 381485 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Sun, 02 Mar 2008 18:09:10 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:04 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:06 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:08 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:10 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:13 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:14 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 348259 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:15 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 341415 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:17 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 348263 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:18 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367725 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:21 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367729 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:27 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367730 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:28 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367731 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:32 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367732 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:37 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367733 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:38 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367737 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:40 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367740 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:42 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367745 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:43 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:45 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367754 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:45 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367755 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:47 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367759 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:50 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:52 GMT) Full text and rfc822 format available.

Blocking bugs of 438885 removed: 367762 Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:15:52 GMT) Full text and rfc822 format available.

Tags added: lenny, sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 16 Aug 2008 17:36:05 GMT) Full text and rfc822 format available.

Severity set to `important' from `serious' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 25 Aug 2008 12:15:11 GMT) Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Sun, 04 Jan 2009 13:24:03 GMT) Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. (Sun, 04 Jan 2009 13:24:04 GMT) Full text and rfc822 format available.

Message #87 received at 438885-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 438885-done@bugs.debian.org
Subject: latest lintian includes a check for this, so this bug can be closed
Date: Sun, 4 Jan 2009 14:22:41 +0100
[Message part 1 (text/plain, inline)]
latest lintian includes a check for this, so this bug can be closed
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Feb 2009 07:29:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:21:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.